package game 
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.Graphic;
	import net.flashpunk.graphics.Canvas;
	import net.flashpunk.utils.Draw;
	import rostok.Utils;
	
	/**
	 * ...
	 * @author rostok
	 */
	public class Line extends Entity 
	{
		public var x1:Number;
		public var y1:Number;
		public var x2:Number;
		public var y2:Number;
		public var color:uint = 0;
		public var alpha:Number = 1;
		
		public function Line(x:Number = 0, y :Number = 0, p:Number=0, q:Number=0,c:uint=0, a:Number=1 ) 
		{
			x1 = x;
			y1 = y ;
			x2 = p;
			y2 = q ;
			color = c;
			alpha = a;
			type = "line";
		}
		
		public function intersects(e:Entity, dx:Number, dy:Number):Boolean
		{
			return Utils.ptsits2d(x1, y1, x2, y2, e.x, e.y, e.x + dx, e.y + dy);
		}
		
		override public function render():void 
		{
			if (!FP.console.visible) return;
			Draw.line(x1, y1, x2, y2, color,alpha=1);
			super.render();
		}
	}

}