package game 
{
	import net.flashpunk.tweens.misc.VarTween;
	import net.flashpunk.utils.*;
	import net.flashpunk.Entity;
	import net.flashpunk.utils.Input;
	import net.flashpunk.World;
	
	/**
	 * ...
	 * @author rostok
	 */
	public class Menu extends World 
	{
		public static var instance:Menu;
		public var stage:int = 0;
		var tit:Entity;
		var str:Entity;
		var wyb:Entity;
		var goo:Entity;
		var bad:Entity;
		var posArr:Array = new Array(207 - 25, 260 - 25, 318 - 25, 366 - 25, 411 - 25);
		var imgArr:Array = new Array("pom.png","pil.png","orz.png","kor.png","roz.png");
		var sel:int = 0;
		
		public function Menu() 
		{
			instance = this;
			wyb = add( new Entity(0, 0, Assets.getSingleImage("wybor.jpg")) );
			str = add( new Entity(430, 175, Assets.getSingleImage("str.png")) );
			tit = add( new Entity(0, 0, Assets.getSingleImage("krupki.jpg")) );
			goo = add( new Entity(0, 500, Assets.getSingleImage("goodend.jpg")) );
			bad = add( new Entity(0, 500, Assets.getSingleImage("badend.jpg")) );
		}
		
		override public function update():void 
		{
			switch (stage) 
			{
				case -1:
							tit.y = 0;
							goo.y = 500;
							bad.y = 500;
							stage = 0;
							break;
				case 0:
							if (Input.pressed(Key.ANY)) {
								stage = 1;
								var t:VarTween = new VarTween();
								t.tween(tit, "y", -500, 0.5);
								addTween(t, true);
							}
							break;
				case 1:
							if (Input.pressed(Key.UP)) sel--;
							if (Input.pressed(Key.DOWN)) sel++;
							
							if (sel < 0) sel = posArr.length - 1;
							if (sel >= posArr.length) sel = 0;
							
							str.y = posArr[sel];
							Player.assetImageName = imgArr[sel];
							
							if (Input.pressed(Key.RIGHT) || Input.pressed(Key.ENTER )|| Input.pressed(Key.SPACE) || Input.pressed(Key.Z) || Input.pressed(Key.X)) {
								Main.instance.loadLevels();
								Main.instance.performAction("changeWorld", "l1");
								stage = 2;
							}
							break;
				case 2:
							goo.y = 0;
							if (Input.pressed(Key.ANY)) {
								stage = -1;
								var t:VarTween = new VarTween();
								t.tween(goo, "y", -500, 0.5);
								addTween(t, true);
							}
							break;
							
				case 3:
							bad.y = 0;
							if (Input.pressed(Key.ANY)) {
								var t:VarTween = new VarTween();
								t.tween(bad, "y", -500, 0.5);
								addTween(t, true);
								stage = -1;
							}
							break;
							
				default:
					stage = 0;
			}
			super.update();
		}
	}

}