package rostok 
{
	/**
	 * ...
	 * @author rostok
	 */
	public class Poolable.<T>
	{
		public function Poolable() 
		{
			
		}
		
		public function onDisposeObject():void
		{
			
		}
		
		public function dispose():void 
		{
			onDisposeObject();
			pool.push(T(this));
		}
		
		public function onGetNewObject():T 
		{
			return new T();
		}
		
		public function getObject():T
		{
			if (pool.length)
				return pool.pop();
			else
				return onGetNewObject();
		}
		
		private static var pool:Vector.<T> = new Vector.<T>();
	}

}